> ## Documentation Index
> Fetch the complete documentation index at: https://docs.samplehc.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Workflow run start data

> Retrieves the initial data (startData) that was used to initiate the current workflow run. This endpoint requires an ExecuteStepRequestContext with a `workflowRunId`.



## OpenAPI

````yaml https://app.stainless.com/api/spec/documented/samplehc/openapi.documented.yml get /api/v2/workflow-runs/start-data
openapi: 3.0.3
info:
  title: Sample Healthcare API
  description: API for Sample Healthcare
  version: 1.0.0
servers: []
security: []
paths:
  /api/v2/workflow-runs/start-data:
    get:
      tags:
        - Workflow-run
      summary: Workflow run start data
      description: >-
        Retrieves the initial data (startData) that was used to initiate the
        current workflow run. This endpoint requires an
        ExecuteStepRequestContext with a `workflowRunId`.
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  startData:
                    description: >-
                      The initial data payload provided when this workflow run
                      was started.
                additionalProperties: false
        '400':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: The error message.
                  message:
                    type: string
                    description: The message.
                  statusCode:
                    type: number
                    description: The status code.
                  details:
                    type: object
                    additionalProperties: {}
                    description: The details of the error
                additionalProperties: true
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: >-
                      Not Found, the workflow run associated with the request
                      context does not exist.
                required:
                  - error
                additionalProperties: false
        '500':
          description: Internal server error encountered while retrieving the start data.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false

````